Skip to main content
POST
/
api
/
agent
/
add-file-direct
Agregar Archivo Directo al Agente
curl --request POST \
  --url https://api.plazbot.com/api/agent/add-file-direct \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --form file='@example-file' \
  --form 'agentId=<string>' \
  --form 'workspaceId=<string>'
import requests

url = "https://api.plazbot.com/api/agent/add-file-direct"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"agentId": "<string>",
"workspaceId": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('agentId', '<string>');
form.append('workspaceId', '<string>');

const options = {
method: 'POST',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};

options.body = form;

fetch('https://api.plazbot.com/api/agent/add-file-direct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {}
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Body

multipart/form-data
file
file
required

Archivo a subir

agentId
string
required

ID del agente

workspaceId
string
required

Identificador del workspace

Response

Archivo subido y agregado exitosamente al agente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object | null
required

Datos de la respuesta